Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Pollable.pidl File Reference

## Detailed Description

Id:
  Pollable.pidl,v 1.7 2003/12/24 03:29:08 bala Exp

This file was used to generate the code in Pollable{C,S,S_T}.{h,i,cpp}

The command used to generate code from this file is:

tao_idl -o orig -St -Gp -Gd -Ge 1 -GT -Wb,export_macro=TAO_Export -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Pollable.pidl

after the file is generated a patch must be applied. The patch fixes the interface repository IDs, disables the code under certain configurations, and eliminates cycles in the include dependencies. Those changes are required because the generated code is part of the TAO library, it hardly makes any sense to change the IDL compiler to support changes that are very occasional.